Клиент GNU/Linux


Возникли два вопроса относительно клиента:
1. Где хоть какой то мануал установки, раз нету в репах?
2. Какие зависимости у игры?

Поясню их: в любом бинарном пакете, не являющимся установочным пакетом (deb, rpm) всегда вставляют файл README, в котором описывают как вообще ставить программу и что необходимо для ее работы, и часто INSTALL (install*), который является скриптом установки. В архиве клиента мной они не были обнаружены, теперь не могу понять какие пакеты надо поставить для запуска программы.

Аватара пользователя
Кандидат в Лорды
 
4




    Для установки игры достаточно зарегистрировать аккаунт на сайте, скачать архив с клиентом и распаковать его.

    Аватара пользователя
    Астро Лорд
     
    691




      недостаточно, нужно чтобы в системе были устанавлены пакеты с необходимыми для запуска либами, а какие неизвестно.
      Это не виндовое приложение, в котором все либы повторяются в каждом приложении.

      Аватара пользователя
      Кандидат в Лорды
       
      4




        На Ubuntu 13 у нас никаких проблем не возникло. А какая у Вас версия?

        Аватара пользователя
        Астро Лорд
         
        691




          Дык что клиент для линукса.. Облом.. Гудбайгейм

          Аватара пользователя
          Кандидат в Лорды
           
          1




            x86 игрушка пойдет , а тестилась она только на ubunte и по мне очень криво. Если не запуск, терминал в руки и ищи либы (командой ldd путь к бинарнику), сам сказал это не шиндовс , я так и искал либы x86 чтоб запустить на 64бит систему.
            Последний раз редактировалось sahsamai 15 июн 2014, 00:13, всего редактировалось 3 раз(а).

            Аватара пользователя
            Кандидат в Лорды
             
            14




              И как по мне луче собирать клиент из статическими библиотеками. Щяс и так у всех мение 1г оперативки нет.
              Последний раз редактировалось sahsamai 15 июн 2014, 00:13, всего редактировалось 1 раз.

              Аватара пользователя
              Кандидат в Лорды
               
              14




                sahsamai писал(а):x86 игрушка пойдет , а тестилась она только на ubunte и по мне очень крыво. Если не запуск терминал в руки и ищи либы сам сказал это не шиндовс , я полний стак нашел либ x86 на 64бит систему.


                :shock: :? :roll:
                - Если эта надпись уменьшается - ваш монитор уносят.
                - Если хочете использовать глагол, то спрягать его нужно правильно, а не как того захотит автор.
                - Если хочешь быть правильно понятым, не используй foreign language и варваризмы. Ферштейн?

                Аватара пользователя
                Старший Лорд
                 
                213




                  В ближайшее время мы приступим к тестированию игры на Linux. Мы очень ценим Ваше участие и предложения!

                  Аватара пользователя
                  Астро Лорд
                   
                  691




                    admiral писал(а):
                    sahsamai писал(а):x86 игрушка пойдет , а тестилась она только на ubunte и по мне очень крыво. Если не запуск терминал в руки и ищи либы сам сказал это не шиндовс , я полний стак нашел либ x86 на 64бит систему.


                    :shock: :? :roll:

                    Поправил писанину , думаю будет понятней уже.

                    Аватара пользователя
                    Кандидат в Лорды
                     
                    14




                      lafeeverrte писал(а):На Ubuntu 13 у нас никаких проблем не возникло. А какая у Вас версия?

                      Почему вы зациклились на Ubuntu, не пользуюсь я такой системой.
                      Мой выбор Gentoo amd64.

                      Аватара пользователя
                      Кандидат в Лорды
                       
                      4




                        Gomorrah писал(а):Дык что клиент для линукса.. Облом.. Гудбайгейм

                        Ubunta э дистрибутивом линукса. Она нацелена на безграмотный пользователей линукс. . Игрушка должна запуститься на все дистрибутивах ,которых установлены зависимости игры(либы).

                        Аватара пользователя
                        Кандидат в Лорды
                         
                        14




                          sahsamai писал(а):
                          Gomorrah писал(а):Дык что клиент для линукса.. Облом.. Гудбайгейм

                          Ubunta э дистрибутивом линукса. Она нацелена на безграмотный пользователей линукс. . Игрушка должна запуститься на все дистрибутивах ,которых установлены зависимости игры(либы).

                          только эти зависимости известны лишь разрабам.

                          Аватара пользователя
                          Кандидат в Лорды
                           
                          4




                            Ubunta э дистрибутивом линукса. Она нацелена на безграмотный пользователей линукс. . Игрушка должна запуститься на все дистрибутивах ,которых установлены зависимости игры(либы).[/quote]
                            только эти зависимости известны лишь разрабам.[/quote]
                            ldd ./путь к програме

                            Аватара пользователя
                            Кандидат в Лорды
                             
                            14




                              Тестировали через ВМ на 14.04, все без проблем http://ipic.su/img/img7/fs/kiss_2333kb.1403095189.png
                              Изображение

                              Аватара пользователя
                              Астро Лорд
                               
                              502




                                Вернуться в Вопросы разработчикам

                                Кто сейчас на конференции

                                Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1


                                cron